#!/bin/sh
( cd usr/lib ; rm -rf libfuse.so.2.7.4 )
( cd usr/lib ; ln -sf ../../lib/libfuse.so.2.7.4 libfuse.so.2.7.4 )
( cd usr/lib ; rm -rf libfuse.so.2 )
( cd usr/lib ; ln -sf ../../lib/libfuse.so.2.7.4 libfuse.so.2 )
( cd usr/lib ; rm -rf libfuse.so )
( cd usr/lib ; ln -sf ../../lib/libfuse.so.2.7.4 libfuse.so )
( cd usr/lib ; rm -rf libulockmgr.so.1.0.1 )
( cd usr/lib ; ln -sf ../../lib/libulockmgr.so.1.0.1 libulockmgr.so.1.0.1 )
( cd usr/lib ; rm -rf libulockmgr.so.1 )
( cd usr/lib ; ln -sf ../../lib/libulockmgr.so.1.0.1 libulockmgr.so.1 )
( cd usr/lib ; rm -rf libulockmgr.so )
( cd usr/lib ; ln -sf ../../lib/libulockmgr.so.1.0.1 libulockmgr.so )
( cd lib ; rm -rf libfuse.so.2 )
( cd lib ; ln -sf libfuse.so.2.7.4 libfuse.so.2 )
( cd lib ; rm -rf libfuse.so )
( cd lib ; ln -sf libfuse.so.2.7.4 libfuse.so )
( cd lib ; rm -rf libulockmgr.so.1 )
( cd lib ; ln -sf libulockmgr.so.1.0.1 libulockmgr.so.1 )
( cd lib ; rm -rf libulockmgr.so )
( cd lib ; ln -sf libulockmgr.so.1.0.1 libulockmgr.so )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/rc.d/rc.fuse.new

if  [ "$(grep rc.fuse /etc/rc.d/rc.local 2> /dev/null)" = "" ] ; then
	echo "  --> Adding an entry to /etc/rc.d/rc.local for /etc/rc.d/rc.fuse"
	echo ""
	echo "# Start fuse service" >> /etc/rc.d/rc.local
	echo "if [ -x /etc/rc.d/rc.fuse ] ; then" >> /etc/rc.d/rc.local
	echo "  echo /etc/rc.d/rc.local: Running '. /etc/rc.d/rc.fuse start' ..." >> /etc/rc.d/rc.local
	echo "  . /etc/rc.d/rc.fuse start & 2> /dev/null" >> /etc/rc.d/rc.local
	echo "fi" >> /etc/rc.d/rc.local
	echo "" >> /etc/rc.d/rc.local
fi

